# mongoc_stream_tls_new()

## Synopsis

    mongoc_stream_t *
    mongoc_stream_tls_new (mongoc_stream_t  *base_stream,
                           mongoc_ssl_opt_t *opt,
                           int               client);

## Parameters

base_stream | A mongoc_stream_t.
opt | A mongoc_ssl_opt_t.
client | 1 for client, 0 for server TLS.

Creates a new mongoc_stream_tls_t using the parameters supplied.

## Returns

A newly allocated mongoc_stream_tls_t.